import re
import os
from p2.store.client import Client

p2_store_url = os.getenv('P2_STORE_URL')
if p2_store_url is None:
    raise Exception("No P2_STORE_URL envar found")

client = Client(p2_store_url)
p=re.compile('(-|\w*)*-(\d+)')
sessions = client.select(
    table='exp_session',
    fetch=[
        'exp_id',
        'mins',
        'hour',
        'dom',
        'month',
        'year',
        'start_time',
        'end_time',
        'context',
        'status'
    ])
if sessions is None:
    raise Exception("Error: no sessions found")
for s in sessions:
    m=p.search(s['exp_id'])
    import pdb;pdb.set_trace()
    s['target'] = m.group(0)



