#!/usr/bin/env python

import unittest
import requests

from p2.ui.sessions.app import create_session

class Test_p2_ui_sessions_api(unittest.TestCase):

    def setUp(self):
        """Set up test fixtures, if any."""

    def tearDown(self):
        """Tear down test fixtures, if any."""

    def test_create_session(self):
        session = dict()
        session['filepath'] = 'foo'
        session['context']  = 'bar'
        session['start_time'] = '06/17/2021 01:05:09 PM'
        session = create_session(session)
        self.assertEqual(session['hour'], '13')
        self.assertEqual(session['mins'], '05')
